=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: akregator
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 24.12.3~),
-               libkdepim-dev (>= 4:24.12.3~),
+               libgrantleetheme-dev (>= 25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -26,26 +28,27 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.3~),
+               libkontactinterface-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:24.12.3~),
+               messagelib-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akregator
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
 Rules-Requires-Root: no
 
 Package: akregator
 Section: web
 Architecture: amd64 arm64 armhf i386
 Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
+Suggests: apparmor
 Homepage: http://akregator.kde.org/
 Description: RSS/Atom feed aggregator
  Akregator is a news feed reader. It enables you to follow
