## akregator 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,50 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.1")
 project(akregator VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
-set(RELEASE_SERVICE_VERSION "24.12.3")
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd
-
-set(QT_REQUIRED_VERSION "6.7.0")
+set(AKREGATOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+
+set(KF_MIN_VERSION "6.14.0")
+set(RELEASE_SERVICE_VERSION "25.08.1")
+set(QT_REQUIRED_VERSION "6.8.0")
+
+# Use true if stable version => we will check specific version
+set(AKREGATOR_STABLE_VERSION true)
+
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
 
-
 include(ECMSetupVersion)
 include(ECMAddTests)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
-include(KDEGitCommitHooks)
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    *.cpp
+    *.h
+    *.c
+)
+set(PRE_COMMIT_INSTALLED FALSE)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
+        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
+        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        if(${INDEX} GREATER_EQUAL 0)
+            set(PRE_COMMIT_INSTALLED TRUE)
+        endif()
+    endif()
+endif()
+if(NOT ${PRE_COMMIT_INSTALLED})
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 include(CheckFunctionExists)
 
 include(KDEInstallDirs)
@@ -35,27 +54,36 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
-  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
+    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.3.3")
-set(LIBKDEPIM_LIB_VERSION "6.3.3")
-set(MESSAGELIB_LIB_VERSION "6.3.3")
-set(PIMCOMMON_LIB_VERSION "6.3.3")
-
-find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngineWidgets PrintSupport)
+set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(MESSAGELIB_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+
+find_package(
+    Qt6
+    ${QT_REQUIRED_VERSION}
+    CONFIG
+    REQUIRED
+        Widgets
+        Test
+        WebEngineWidgets
+        PrintSupport
+)
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
@@ -69,9 +97,13 @@
 find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DocTools ${KF_MIN_VERSION})
-set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
-    "Tools to generate documentation"
-    TYPE OPTIONAL
+set_package_properties(
+    KF6DocTools
+    PROPERTIES
+        DESCRIPTION
+            "Tools to generate documentation"
+        TYPE
+            OPTIONAL
 )
 
 # Find KdepimLibs Package
@@ -92,17 +124,28 @@
 find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
 
 find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
-set_package_properties(KF6UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")
-
-
-include_directories(${akregator_SOURCE_DIR} ${akregator_BINARY_DIR})
+set_package_properties(
+    KF6UserFeedback
+    PROPERTIES
+        DESCRIPTION
+            "User Feedback lib"
+        TYPE
+            OPTIONAL
+        PURPOSE
+            "Allow to send Telemetry Information (optional). It can be disable in apps."
+)
+
+include_directories(
+    ${akregator_SOURCE_DIR}
+    ${akregator_BINARY_DIR}
+)
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-     KF 6.8.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+     KF 6.16.0
 )
 if(TARGET KF6::UserFeedbackWidgets)
-    add_definitions(-DWITH_KUSERFEEDBACK)
+    set(AKREGATOR_WITH_KUSERFEEDBACK true)
 endif()
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
@@ -126,10 +169,14 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.1.0")
-            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
-                "Allow to compile with plasma activities"
-                TYPE OPTIONAL
+            find_package(PlasmaActivities "6.3.0")
+            set_package_properties(
+                PlasmaActivities
+                PROPERTIES
+                    DESCRIPTION
+                        "Allow to compile with plasma activities"
+                    TYPE
+                        OPTIONAL
             )
         endif()
 
@@ -152,7 +199,9 @@
         FILE akregator.categories
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+if(DEFINED kde_configure_git_pre_commit_hook)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 if(KF6DocTools_FOUND)
     kdoctools_install(po)
