=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.08.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libgrantleetheme-dev (>= 25.08.1~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.08.0~),
+               libkontactinterface-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
