=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 	dh_auto_install
 	# do not ship development stuff
 	find debian/akregator -name '*.so' -type l -delete
+	mkdir -p debian/akregator/etc/apparmor.d
+	cp debian/akregator-apparmor debian/akregator/etc/apparmor.d/usr.bin.akregator
+	dh_apparmor --profile-name=usr.bin.akregator -pakregator
 
 override_dh_auto_test:
 	xvfb-run dh_auto_test --no-parallel
