## akregator 25.08.1+p24.04+vstable+git20250926.1142

=== debian/changelog ===
akregator (4:25.08.1+p24.04+vstable+git20250926.1142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:42:44 +0000

akregator (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:14:23 +0000

akregator (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:48:47 +0000
