## akregator 25.08.1+p24.04+vstable+git20250930.0540

=== debian/changelog ===
akregator (4:25.08.1+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:03 +0000
