=== src/widgets/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
         TEST_NAME ${_name}
         NAME_PREFIX "akregator-widgets"
         LINK_LIBRARIES Qt::Test akregatorprivate Qt::Widgets
-)
+    )
 endmacro()
 akregator_widgets_unittest(statussearchbuttonstest.cpp)
