## akregator 25.08.2+p24.04+vstable+git20251019.0824

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251019.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:25:03 +0000
