## akregator 25.08.2+p24.04+vstable+git20251022.0019

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:28 +0000
