## akregator 25.08.2+p24.04+vstable+git20251023.0024

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251023.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:24:06 +0000
